Skip to content
Permalink
Browse files

Fix php version notification removal (librenms#9796)

  • Loading branch information...
murrant authored and sjtarik committed Feb 8, 2019
1 parent 19c1004 commit c9a8a7f73155aba5ae21981cc746b26d69c67cac
Showing with 10 additions and 8 deletions.
  1. +10 −8 daily.php
@@ -163,17 +163,19 @@
if ($options['r'] === 'php53') {
$phpver = '5.6.4';
$eol_date = 'January 10th, 2018';
} else {
} elseif ($options['r'] === 'php56') {
$phpver = '7.1.3';
$eol_date = 'February 1st, 2019';
}
new_notification(
$error_title,
"PHP version $phpver is the minimum supported version as of $eol_date. We recommend you update to PHP a supported version of PHP (7.2 suggested) to continue to receive updates. If you do not update PHP, LibreNMS will continue to function but stop receiving bug fixes and updates.",
2,
'daily.sh'
);
exit(1);
if (isset($phpver)) {
new_notification(
$error_title,
"PHP version $phpver is the minimum supported version as of $eol_date. We recommend you update to PHP a supported version of PHP (7.2 suggested) to continue to receive updates. If you do not update PHP, LibreNMS will continue to function but stop receiving bug fixes and updates.",
2,
'daily.sh'
);
exit(1);
}
}
remove_notification($error_title);

0 comments on commit c9a8a7f

Please sign in to comment.
You can’t perform that action at this time.